package com.yihu.jw.entity.iot.copdDevice;

import com.yihu.jw.entity.UuidIdentityEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * Created by Bing on 2021/4/14.
 * 华米医疗设备健康分
 */
@Entity
@Table(name="wlyy_copd_huami_health_score")
public class WlyyCopdHuamiHealthScoreDO extends UuidIdentityEntity {
    private String  deviceSn;  //设备ID 即sn码
    private String  exportKey; //本次查询的类型  HealthScore_Week，HealthScore_Month分表表示周健康分和月健康分
    private String  exportTime;    //时间戳，和查询的exportTime对应
    private String  name;   //健康分名称,为”h5”
    private String  score;  //健康分值
    private String  total;  //健康分总分,默认100
    private String  date;//创建时间


    @Column(name="device_sn")
    public String getDeviceSn() {
        return deviceSn;
    }

    public void setDeviceSn(String deviceSn) {
        this.deviceSn = deviceSn;
    }

    @Column(name="export_key")
    public String getExportKey() {
        return exportKey;
    }

    public void setExportKey(String exportKey) {
        this.exportKey = exportKey;
    }

    @Column(name="export_time")
    public String getExportTime() {
        return exportTime;
    }

    public void setExportTime(String exportTime) {
        this.exportTime = exportTime;
    }

    @Column(name="name")
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Column(name="score")
    public String getScore() {
        return score;
    }

    public void setScore(String score) {
        this.score = score;
    }

    @Column(name="total")
    public String getTotal() {
        return total;
    }

    public void setTotal(String total) {
        this.total = total;
    }

    @Column(name="date")
    public String getDate() {
        return date;
    }

    public void setDate(String date) {
        this.date = date;
    }
}
